# HG changeset patch
# Node ID c4c0d6ce28bf
# Parent  630084f39cc5
diff --git a/pidgin/meson.build b/pidgin/meson.build
--- a/pidgin/meson.build
+++ b/pidgin/meson.build
@@ -39,7 +39,6 @@
 	'pidginnotificationauthorizationrequest.c',
 	'pidginnotificationconnectionerror.c',
 	'pidginnotificationlist.c',
-	'pidginpluginsdialog.c',
 	'pidginpluginsmenu.c',
 	'pidginpresenceicon.c',
 	'pidginprotocolchooser.c',
@@ -91,7 +90,6 @@
 	'pidginnotificationauthorizationrequest.h',
 	'pidginnotificationconnectionerror.h',
 	'pidginnotificationlist.h',
-	'pidginpluginsdialog.h',
 	'pidginpluginsmenu.h',
 	'pidginpresenceicon.h',
 	'pidginprotocolchooser.h',
diff --git a/pidgin/pidginapplication.c b/pidgin/pidginapplication.c
--- a/pidgin/pidginapplication.c
+++ b/pidgin/pidginapplication.c
@@ -42,7 +42,6 @@
 #include "pidgincore.h"
 #include "pidgindebug.h"
 #include "pidgindisplaywindow.h"
-#include "pidginpluginsdialog.h"
 #include "pidginpluginsmenu.h"
 #include "pidginprefs.h"
 #include "pidginui.h"
@@ -432,22 +431,6 @@
 }
 
 static void
-pidgin_application_plugins(G_GNUC_UNUSED GSimpleAction *simple,
-                           G_GNUC_UNUSED GVariant *parameter, gpointer data)
-{
-	PidginApplication *application = data;
-	static GtkWidget *dialog = NULL;
-
-	if(!GTK_IS_WIDGET(dialog)) {
-		dialog = pidgin_plugins_dialog_new();
-		g_object_add_weak_pointer(G_OBJECT(dialog), (gpointer)&dialog);
-	}
-
-	pidgin_application_present_transient_window(application,
-	                                            GTK_WINDOW(dialog));
-}
-
-static void
 pidgin_application_preferences(G_GNUC_UNUSED GSimpleAction *simple,
                                G_GNUC_UNUSED GVariant *parameter,
                                gpointer data)
@@ -519,9 +502,6 @@
 		.name = "manage-accounts",
 		.activate = pidgin_application_accounts,
 	}, {
-		.name = "manage-plugins",
-		.activate = pidgin_application_plugins,
-	}, {
 		.name = "online-help",
 		.activate = pidgin_application_online_help,
 	}, {
diff --git a/pidgin/pidginpluginsdialog.h b/pidgin/pidginpluginsdialog.h
deleted file mode 100644
--- a/pidgin/pidginpluginsdialog.h
+++ /dev/null
@@ -1,65 +0,0 @@
-/* pidgin
- *
- * Pidgin is the legal property of its developers, whose names are too numerous
- * to list here.  Please refer to the COPYRIGHT file distributed with this
- * source distribution.
- *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation; either version 2 of the License, or
- * (at your option) any later version.
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02111-1301  USA
- *
- */
-
-#if !defined(PIDGIN_GLOBAL_HEADER_INSIDE) && !defined(PIDGIN_COMPILATION)
-# error "only <pidgin.h> may be included directly"
-#endif
-
-#ifndef PIDGIN_PLUGINS_DIALOG_H
-#define PIDGIN_PLUGINS_DIALOG_H
-
-#include <gtk/gtk.h>
-
-#include "pidginversion.h"
-
-G_BEGIN_DECLS
-
-/**
- * PidginPluginsDialog:
- *
- * A dialog that allows the user to configure their plugins.
- *
- * Since: 3.0
- */
-
-#define PIDGIN_TYPE_PLUGINS_DIALOG (pidgin_plugins_dialog_get_type())
-
-PIDGIN_AVAILABLE_IN_3_0
-G_DECLARE_FINAL_TYPE(PidginPluginsDialog, pidgin_plugins_dialog, PIDGIN,
-		PLUGINS_DIALOG, GtkDialog)
-
-/**
- * pidgin_plugins_dialog_new:
- *
- * Creates a new instance of #PidginPluginsDialog.
- *
- * Returns: (transfer full): The new #PidginPluginsDialog.
- *
- * Since: 3.0
- */
-PIDGIN_AVAILABLE_IN_3_0
-GtkWidget *pidgin_plugins_dialog_new(void);
-
-G_END_DECLS
-
-#endif /* PIDGIN_PLUGINS_DIALOG_H */
-
diff --git a/pidgin/pidginpluginsdialog.c b/pidgin/pidginpluginsdialog.c
deleted file mode 100644
--- a/pidgin/pidginpluginsdialog.c
+++ /dev/null
@@ -1,100 +0,0 @@
-/*
- * pidgin
- *
- * Pidgin is the legal property of its developers, whose names are too numerous
- * to list here.  Please refer to the COPYRIGHT file distributed with this
- * source distribution.
- *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation; either version 2 of the License, or
- * (at your option) any later version.
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02111-1301  USA
- *
- */
-
-#include "pidginpluginsdialog.h"
-
-#include <glib/gi18n.h>
-#define G_SETTINGS_ENABLE_BACKEND
-#include <gio/gsettingsbackend.h>
-
-#include <gplugin.h>
-#include <gplugin-gtk.h>
-
-#include <purple.h>
-
-#include "pidgincore.h"
-
-struct _PidginPluginsDialog {
-	GtkDialog parent;
-
-	GtkWidget *view;
-};
-
-/******************************************************************************
- * Callbacks
- *****************************************************************************/
-static void
-pidgin_plugins_dialog_response_cb(GtkDialog* self, gint response_id,
-                                  G_GNUC_UNUSED gpointer data)
-{
-	switch(response_id) {
-		case GTK_RESPONSE_DELETE_EVENT:
-			gtk_window_destroy(GTK_WINDOW(self));
-			break;
-	}
-}
-
-/******************************************************************************
- * GObject Implementation
- *****************************************************************************/
-G_DEFINE_FINAL_TYPE(PidginPluginsDialog, pidgin_plugins_dialog,
-                    GTK_TYPE_DIALOG)
-
-static void
-pidgin_plugins_dialog_class_init(PidginPluginsDialogClass *klass) {
-	GtkWidgetClass *widget_class = GTK_WIDGET_CLASS(klass);
-
-	gtk_widget_class_set_template_from_resource(
-		widget_class,
-		"/im/pidgin/Pidgin3/Plugins/dialog.ui"
-	);
-
-	gtk_widget_class_bind_template_child(widget_class, PidginPluginsDialog,
-	                                     view);
-
-	gtk_widget_class_bind_template_callback(widget_class,
-	                                        pidgin_plugins_dialog_response_cb);
-}
-
-static void
-pidgin_plugins_dialog_init(PidginPluginsDialog *dialog) {
-	GPluginManager *manager = NULL;
-	GSettingsBackend *backend = NULL;
-
-	gtk_widget_init_template(GTK_WIDGET(dialog));
-
-	manager = gplugin_manager_get_default();
-	gplugin_gtk_view_set_manager(GPLUGIN_GTK_VIEW(dialog->view), manager);
-
-	backend = purple_core_get_settings_backend();
-	gplugin_gtk_view_set_settings_backend(GPLUGIN_GTK_VIEW(dialog->view),
-	                                      backend);
-}
-
-/******************************************************************************
- * Public API
- *****************************************************************************/
-GtkWidget *
-pidgin_plugins_dialog_new(void) {
-	return g_object_new(PIDGIN_TYPE_PLUGINS_DIALOG, NULL);
-}
diff --git a/pidgin/resources/Plugins/dialog.ui b/pidgin/resources/Plugins/dialog.ui
deleted file mode 100644
--- a/pidgin/resources/Plugins/dialog.ui
+++ /dev/null
@@ -1,43 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!--
-Pidgin - Internet Messenger
-Copyright (C) Pidgin Developers <devel@pidgin.im>
-
-This program is free software; you can redistribute it and/or
-modify it under the terms of the GNU General Public License
-as published by the Free Software Foundation; either version 2
-of the License, or (at your option) any later version.
-
-This program is distributed in the hope that it will be useful,
-but WITHOUT ANY WARRANTY; without even the implied warranty of
-MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-GNU General Public License for more details.
-
-You should have received a copy of the GNU General Public License
-along with this program; if not, see <https://www.gnu.org/licenses/>.
--->
-<interface>
-  <requires lib="gtk" version="4.0"/>
-  <requires lib="gplugin-gtk4" version="0.35"/>
-  <!-- interface-license-type gplv2 -->
-  <!-- interface-name Pidgin -->
-  <!-- interface-description Internet Messenger -->
-  <!-- interface-copyright Pidgin Developers <devel@pidgin.im> -->
-  <template class="PidginPluginsDialog" parent="GtkDialog">
-    <property name="title" translatable="1">Plugins</property>
-    <property name="default-height">700</property>
-    <property name="default-width">560</property>
-    <signal name="response" handler="pidgin_plugins_dialog_response_cb" swapped="no"/>
-    <child internal-child="content_area">
-      <object class="GtkBox">
-        <property name="orientation">vertical</property>
-        <child>
-          <object class="GPluginGtkView" id="view">
-            <property name="vexpand">1</property>
-          </object>
-        </child>
-      </object>
-    </child>
-    <child internal-child="action_area"/>
-  </template>
-</interface>
diff --git a/pidgin/resources/gtk/menus.ui b/pidgin/resources/gtk/menus.ui
--- a/pidgin/resources/gtk/menus.ui
+++ b/pidgin/resources/gtk/menus.ui
@@ -84,12 +84,6 @@
     <submenu>
       <attribute name="label" translatable="yes">_Plugins</attribute>
 
-      <section>
-        <item>
-          <attribute name="label" translatable="yes">Manage Plu_gins</attribute>
-          <attribute name="action">app.manage-plugins</attribute>
-        </item>
-      </section>
       <section id="plugins-menu"/>
     </submenu>
     <submenu>
diff --git a/pidgin/resources/pidgin.gresource.xml b/pidgin/resources/pidgin.gresource.xml
--- a/pidgin/resources/pidgin.gresource.xml
+++ b/pidgin/resources/pidgin.gresource.xml
@@ -18,7 +18,6 @@
     <file compressed="true" preprocess="xml-stripblanks">Notifications/addcontact.ui</file>
     <file compressed="true" preprocess="xml-stripblanks">Notifications/authorizationrequest.ui</file>
     <file compressed="true" preprocess="xml-stripblanks">Notifications/connectionerror.ui</file>
-    <file compressed="true" preprocess="xml-stripblanks">Plugins/dialog.ui</file>
     <file compressed="true" preprocess="xml-stripblanks">Prefs/away.ui</file>
     <file compressed="true" preprocess="xml-stripblanks">Prefs/conversation.ui</file>
     <file compressed="true" preprocess="xml-stripblanks">Prefs/credentials.ui</file>
diff --git a/po/POTFILES.in b/po/POTFILES.in
--- a/po/POTFILES.in
+++ b/po/POTFILES.in
@@ -128,7 +128,6 @@
 pidgin/pidginiconname.c
 pidgin/pidgininfopane.c
 pidgin/pidginkeypad.c
-pidgin/pidginpluginsdialog.c
 pidgin/pidginpluginsmenu.c
 pidgin/pidginpresenceicon.c
 pidgin/pidginprotocolchooser.c
@@ -160,7 +159,6 @@
 pidgin/resources/Display/window.ui
 pidgin/resources/Keypad/keypad.ui
 pidgin/resources/Media/window.ui
-pidgin/resources/Plugins/dialog.ui
 pidgin/resources/Prefs/away.ui
 pidgin/resources/Prefs/credentialprovider.ui
 pidgin/resources/Prefs/credentials.ui
